﻿<UserControl x:Class="TouchAndTeachWindows.Draw.SelectionUI.SelectionMenu"
             x:Name="This"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             mc:Ignorable="d" 
             Height="200" Width="200" d:DesignWidth="200" HorizontalAlignment="Left" VerticalAlignment="Top" 
             TouchUp="This_TouchUp" MouseLeftButtonUp="This_MouseLeftButtonUp">
    <Grid x:Name="grid">
        <Grid.Resources>
            <Style TargetType="Border" x:Key="BorderStyle">
                <Setter Property="BorderBrush" Value="Black" />
                <Setter Property="BorderThickness" Value="1" />
                <Setter Property="Background" Value="White" />
                <EventSetter Event="TouchEnter" Handler="EventSetter_OnHandler" />
                <EventSetter Event="MouseEnter" Handler="EventSetter_OnHandler" />
            </Style>
            <Style TargetType="Image" x:Key="ImageStyle">
                <Setter Property="Margin" Value="20"></Setter>
            </Style>
        </Grid.Resources>
        <Grid.ColumnDefinitions>
            <ColumnDefinition />
            <ColumnDefinition />
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition />
            <RowDefinition />
        </Grid.RowDefinitions>
        <Border x:Name="MergeBorder" Grid.Row="0" Grid.Column="0" Style="{StaticResource BorderStyle}" CornerRadius="10,0,0,0" >
            <Image Source="/TouchAndTeachWindows;component/ImgRes/fusion_arrow_icon.png" Style="{StaticResource ImageStyle}" />
        </Border>
        <Border x:Name="AvailableDrawBorder"  Grid.Row="0" Grid.Column="1" Style="{StaticResource BorderStyle}" CornerRadius="0,10,0,0">
            <Image Source="/TouchAndTeachWindows;component/ImgRes/fusion_arrow_icon_180.png" Height="40" Style="{StaticResource ImageStyle}" />
        </Border>
        <Border x:Name="unsused" Grid.Row="1" Grid.Column="0" Style="{StaticResource BorderStyle}" CornerRadius="0,0,0,10">
            
        </Border>
        <Border x:Name="CloseBorder" Grid.Row="1" Grid.Column="1" Style="{StaticResource BorderStyle}" CornerRadius="0,0,10,0">
            <Image Source="/TouchAndTeachWindows;component/ImgRes/close_icon.png" Style="{StaticResource ImageStyle}" />
        </Border>
        <Ellipse Grid.RowSpan="10" Grid.ColumnSpan="10" Width="75" Height="75" Fill="White" Stroke="Black" StrokeThickness="3" 
                 TouchEnter="Ellipse_DeviceEnter"  MouseEnter="Ellipse_DeviceEnter" />
    </Grid>
</UserControl>

